package v1

import (
	"github.com/gin-gonic/gin"
	"github.com/spf13/cast"
)

import (
	"auth-server/common"
	"auth-server/service"
)

func GenerateUniqueIdentifier(c *gin.Context) {
	flag := c.Query("flag")
	number := cast.ToInt32(c.Query("number"))
	res, err := service.DcmtkClient.GenerateUniqueIdentifier(common.GC2GM(c), flag, number)
	if err != nil {
		common.HttpErr(c, err)
		return
	}
	common.HttpSuccess(c, res)
}
